package com.inspect.metadata.version.service;

import com.inspect.metadata.version.domain.VersionManagement;

import java.io.InputStream;
import java.util.List;

public interface IVersionManagementService {
    VersionManagement selectVersionManagementByVersionId(Long versionId);

    List<VersionManagement> selectVersionManagementList(VersionManagement management);

    int insertVersionManagement(VersionManagement management);

    int updateVersionManagement(VersionManagement management);

    int deleteVersionManagementByVersionIds(Long[] management);

    int deleteVersionManagementByVersionId(Long versionId);

    List<VersionManagement> getNewVersionInfo();

    String uploadPicMap(InputStream inputStream, String key);
}
